{
  "name": "image-ai-deduplication",
  "version": "0.0.0",
  "private": true,
  "scripts": {
    "serve": "pnpm run dev",
    "dev": "vite",
    "build": "vite build && esno ./build/script/postBuild.ts",
    "preview": "npm run build && vite preview",
    "preview:dist": "vite preview",
    "lint": "eslint .",
    "lint:fix": "eslint . --fix",
    "cleanup": "rimraf node_modules && rimraf pnpm-lock.yaml",
    "prepare": "husky install",
    "postinstall": "patch-package"
  },
  "dependencies": {
    "@vueup/vue-quill": "^1.2.0",
    "@vueuse/core": "10.9.0",
    "axios": "^1.4.0",
    "date-fns": "^2.30.0",
    "esno": "^0.16.3",
    "file-saver": "^2.0.5",
    "imagesloaded": "^5.0.0",
    "lodash-es": "^4.17.21",
    "masonry-layout": "^4.2.2",
    "mitt": "^3.0.1",
    "mockjs": "^1.1.0",
    "naive-ui": "^2.38.1",
    "patch-package": "^8.0.0",
    "pinia": "^2.0.33",
    "qs": "^6.11.2",
    "sortablejs": "^1.15.1",
    "vue": "^3.3.8",
    "vue-draggable-plus": "^0.3.5",
    "vue-mousetrap": "^1.0.5",
    "vue-router": "^4.1.6",
    "vue-types": "^4.2.1",
    "xlsx": "^0.18.5"
  },
  "devDependencies": {
    "@antfu/eslint-config": "^2.3.3",
    "@commitlint/cli": "^18.4.3",
    "@commitlint/config-conventional": "^18.4.3",
    "@types/imagesloaded": "^4.1.6",
    "@types/lodash": "^4.14.197",
    "@types/masonry-layout": "^4.2.7",
    "@types/node": "^18.17.1",
    "@types/sortablejs": "^1.15.7",
    "@vitejs/plugin-vue": "^4.5.0",
    "autoprefixer": "^10.4.13",
    "core-js": "^3.32.0",
    "dotenv": "^16.3.1",
    "eslint": "^8.55.0",
    "fs-extra": "^11.2.0",
    "husky": "^8.0.0",
    "less": "^4.2.0",
    "less-loader": "^11.1.3",
    "lint-staged": "^13.1.2",
    "postcss": "^8.4.27",
    "rimraf": "^4.2.0",
    "sass": "^1.69.5",
    "tailwindcss": "^3.3.3",
    "typescript": "^4.9.5",
    "unplugin-vue-components": "^0.26.0",
    "vite": "^5.0.0",
    "vite-plugin-compression": "^0.5.1",
    "vite-plugin-html": "^3.2.0",
    "vite-plugin-mock": "^2.9.8",
    "vite-plugin-style-import": "^2.0.0",
    "vite-plugin-svg-icons": "^2.0.1",
    "vue-demi": "^0.13.11",
    "vue-tsc": "^1.8.22"
  },
  "lint-staged": {
    "*.{ts,tsx,vue}": [
      "pnpm lint:fix"
    ]
  }
}
